[Install]
model = Panasonic DP-8020
Network = 1
USB = 1
Parallel = 0

[PrinterVersion]
2K=EMMD2K.VER
AMD64=EMMD36.VER

[Main]
ModelName=DP-8020
SeriesName=Panasonic WORKiO DP-8020
NumDrivers=1
Driver1=PrinterDriver1
HarwareID=lptenum\PanasonicDP-80204321
;OEMURL=
USBID=VID_04DA&PID_3A0C
USBPRINT=PanasonicDP-8020
LPTPRINT=PanasonicDP-80204321

;***********************************************************************
;DP-8020 GDI
;***********************************************************************
[PrinterDriver1]
PrinterDriverName=Panasonic DP-8020 Ver. 2 PCL6
;LanguageMonitorName=
;PortMonitorName=RPT Network Printer Port
DefaultPrinter=no
SupportOS=2000,AMD64
DefaultSharedName=DP8020

;***********************************************************************
;DP-8020 GDI 2K
;***********************************************************************
[PrinterDriver1.2000.Install]
DataType=RAW
Driver=E0MDGC2K.DLL
ConfigurationFile=E0MDUC2K.DLL
DataFile=EMMD.SPC
DependentFiles=E0MDDI32.dll,E0MDEM.DLL,E0MDEM.EXE,E0MDGC2K.dll,E0MDPRDF.DAT,E0MDPRO.DAT,E0MDRC32.DLL,E0MDSP.DLL,E0MDUC2K.dll,E0MDUI2K.DLL,E0ZDWJ.INI,ZAZDAC32.dll,ZAZDDC32.dll,ZAZDDF32.EXE,ZAZDDM32.DLL,ZAZDHL.chm,ZAZDIW32.exe,ZAZDPC32.dll,ZAZDWJ32.dll,ZAZDWM.PWM,EMMD.spc,EMMD2K.VER
HelpFile=ZAZDHL.CHM
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=STUP8020.INF
BiDirectional=Always

[PrinterDriver1.2000.Uninstall]
DeleteFile001=E0MDDI32.dll,WINPRNDRV,NOT_SHARED
DeleteFile002=E0MDEM.DLL,WINPRNDRV,NOT_SHARED
DeleteFile003=E0MDEM.EXE,WINPRNDRV,NOT_SHARED
DeleteFile004=E0MDGC2K.dll,WINPRNDRV,NOT_SHARED
DeleteFile005=E0MDPRDF.DAT,WINPRNDRV,NOT_SHARED
DeleteFile006=E0MDPRO.DAT,WINPRNDRV,NOT_SHARED
DeleteFile007=E0MDRC32.DLL,WINPRNDRV,NOT_SHARED
DeleteFile008=E0MDSP.DLL,WINPRNDRV,NOT_SHARED
DeleteFile009=E0MDUC2K.dll,WINPRNDRV,NOT_SHARED
DeleteFile010=E0MDUI2K.DLL,WINPRNDRV,NOT_SHARED
DeleteFile011=E0ZDWJ.INI,WINPRNDRV,NOT_SHARED
DeleteFile012=ZAZDAC32.dll,WINPRNDRV,NOT_SHARED
DeleteFile013=ZAZDDC32.dll,WINPRNDRV,NOT_SHARED
DeleteFile014=ZAZDDF32.EXE,WINPRNDRV,NOT_SHARED
DeleteFile015=ZAZDDM32.DLL,WINPRNDRV,NOT_SHARED
DeleteFile016=ZAZDHL.chm,WINPRNDRV,NOT_SHARED
DeleteFile017=ZAZDIW32.exe,WINPRNDRV,NOT_SHARED
DeleteFile018=ZAZDPC32.dll,WINPRNDRV,NOT_SHARED
DeleteFile019=ZAZDWJ32.dll,WINPRNDRV,NOT_SHARED
DeleteFile020=ZAZDWM.PWM,WINPRNDRV,NOT_SHARED
DeleteFile021=STUP8020.INF,WININF_OTHER,NOT_SHARED
DeleteFile022=EMMD.spc,WINPRNDRV,NOT_SHARED
DeleteFile023=EMMD2K.VER,WINPRNDRV,NOT_SHARED
DeleteFile024=E0MDDI32.dll,WINPRNDRV3,SHARED
DeleteFile025=E0MDEM.DLL,WINPRNDRV3,SHARED
DeleteFile026=E0MDEM.EXE,WINPRNDRV3,SHARED
DeleteFile027=E0MDGC2K.dll,WINPRNDRV3,SHARED
DeleteFile028=E0MDPRDF.DAT,WINPRNDRV3,SHARED
DeleteFile029=E0MDPRO.DAT,WINPRNDRV3,SHARED
DeleteFile030=E0MDRC32.DLL,WINPRNDRV3,SHARED
DeleteFile031=E0MDSP.DLL,WINPRNDRV3,SHARED
DeleteFile032=E0MDUC2K.dll,WINPRNDRV3,SHARED
DeleteFile033=E0MDUI2K.DLL,WINPRNDRV3,SHARED
DeleteFile034=E0ZDWJ.INI,WINPRNDRV3,SHARED
DeleteFile035=ZAZDAC32.dll,WINPRNDRV3,SHARED
DeleteFile036=ZAZDDC32.dll,WINPRNDRV3,SHARED
DeleteFile037=ZAZDDF32.EXE,WINPRNDRV3,SHARED
DeleteFile038=ZAZDDM32.DLL,WINPRNDRV3,SHARED
DeleteFile039=ZAZDHL.chm,WINPRNDRV3,SHARED
DeleteFile040=ZAZDIW32.exe,WINPRNDRV3,SHARED
DeleteFile041=ZAZDPC32.dll,WINPRNDRV3,SHARED
DeleteFile042=ZAZDWJ32.dll,WINPRNDRV3,SHARED
DeleteFile043=ZAZDWM.PWM,WINPRNDRV3,SHARED
DeleteFile044=STUP8020.INF,WININF_OTHER,NOT_SHARED
DeleteFile045=EMMD.spc,WINPRNDRV3,SHARED
DeleteFile046=EMMD2K.VER,WINPRNDRV3,SHARED

DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic DP-8020 Ver. 2 PCL6

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicDP-80204321,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USB,VID_04DA&PID_3A0C,Blocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USBPRINT,DP-8020,Blocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-8020 Ver. 2 PCL6,UnBlocked,NoSubKey
DeleteRegistry005=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-8020 Ver. 2 PCL6,UnBlocked,NoSubKey
DeleteRegistry006=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-8020 Ver. 2 PCL6,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic DP-8020 Ver. 2 PCL6

;***********************************************************************
;DP-**** AMD64
;***********************************************************************
[PrinterDriver1.AMD64.Install]
DataType=RAW
Driver=E0MDGC36.DLL
ConfigurationFile=E0MDUC36.DLL
DataFile=EMMD.SPC
DependentFiles=E0MDDIA6.DLL,E0MDEMA6.DLL,E0MDEMA6.EXE,E0MDGC36.DLL,E0MDPRDF.DAT,E0MDPRO.DAT,E0MDRCA6.DLL,E0MDSPA6.DLL,E0MDUC36.DLL,E0MDUI36.DLL,E0ZDWJ.INI,ZAZDACA6.DLL,ZAZDDCA6.DLL,ZAZDDFA6.EXE,ZAZDDMA6.DLL,ZAZDHL.chm,ZAZDIWA6.EXE,ZAZDPCA6.DLL,ZAZDWJA6.DLL,ZAZDWM.PWM,EMMD.SPC,EMMD36.VER
HelpFile=ZAZDHL.chm
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=STUP8020.INF
BiDirectional=Always

[PrinterDriver1.AMD64.Uninstall]
DeleteFile001=E0MDDIA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile002=E0MDEMA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile003=E0MDEMA6.EXE,WINPRNDRVX64,NOT_SHARED
DeleteFile004=E0MDGC36.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile005=E0MDPRDF.DAT,WINPRNDRVX64,NOT_SHARED
DeleteFile006=E0MDPRO.DAT,WINPRNDRVX64,NOT_SHARED
DeleteFile007=E0MDRCA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile008=E0MDSPA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile009=E0MDUC36.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile010=E0MDUI36.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile011=E0ZDWJ.INI,WINPRNDRVX64,NOT_SHARED
DeleteFile012=ZAZDACA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile013=ZAZDDCA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile014=ZAZDDFA6.EXE,WINPRNDRVX64,NOT_SHARED
DeleteFile015=ZAZDDMA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile016=ZAZDHL.chm,WINPRNDRVX64,NOT_SHARED
DeleteFile017=ZAZDIWA6.EXE,WINPRNDRVX64,NOT_SHARED
DeleteFile018=ZAZDPCA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile019=ZAZDWJA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile020=ZAZDWM.PWM,WINPRNDRVX64,NOT_SHARED
DeleteFile021=STUP8020.INF,WININF_OTHER,NOT_SHARED
DeleteFile022=EMMD.SPC,WINPRNDRVX64,NOT_SHARED
DeleteFile023=EMMD36.VER,WINPRNDRVX64,NOT_SHARED
DeleteFile024=E0MDDIA6.DLL,WINPRNDRVX643,SHARED
DeleteFile025=E0MDEMA6.DLL,WINPRNDRVX643,SHARED
DeleteFile026=E0MDEMA6.EXE,WINPRNDRVX643,SHARED
DeleteFile027=E0MDGC36.DLL,WINPRNDRVX643,SHARED
DeleteFile028=E0MDPRDF.DAT,WINPRNDRVX643,SHARED
DeleteFile029=E0MDPRO.DAT,WINPRNDRVX643,SHARED
DeleteFile030=E0MDRCA6.DLL,WINPRNDRVX643,SHARED
DeleteFile031=E0MDSPA6.DLL,WINPRNDRVX643,SHARED
DeleteFile032=E0MDUC36.DLL,WINPRNDRVX643,SHARED
DeleteFile033=E0MDUI36.DLL,WINPRNDRVX643,SHARED
DeleteFile034=E0ZDWJ.INI,WINPRNDRVX643,SHARED
DeleteFile035=ZAZDACA6.DLL,WINPRNDRVX643,SHARED
DeleteFile036=ZAZDDCA6.DLL,WINPRNDRVX643,SHARED
DeleteFile037=ZAZDDFA6.EXE,WINPRNDRVX643,SHARED
DeleteFile038=ZAZDDMA6.DLL,WINPRNDRVX643,SHARED
DeleteFile039=ZAZDHL.chm,WINPRNDRVX643,SHARED
DeleteFile040=ZAZDIWA6.EXE,WINPRNDRVX643,SHARED
DeleteFile041=ZAZDPCA6.DLL,WINPRNDRVX643,SHARED
DeleteFile042=ZAZDWJA6.DLL,WINPRNDRVX643,SHARED
DeleteFile043=ZAZDWM.PWM,WINPRNDRVX643,SHARED
DeleteFile044=STUP8020.INF,WININF_OTHER,NOT_SHARED
DeleteFile045=EMMD.SPC,WINPRNDRVX643,SHARED
DeleteFile046=EMMD36.VER,WINPRNDRVX643,SHARED

DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic DP-8020 Ver. 2 PCL6

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicDP-80204321,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USB,VID_04DA&PID_3A0C,Blocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USBPRINT,DP-8020,Blocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic DP-8020 Ver. 2 PCL6,UnBlocked,NoSubKey
DeleteRegistry005=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic DP-8020 Ver. 2 PCL6,UnBlocked,NoSubKey
DeleteRegistry006=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic DP-8020 Ver. 2 PCL6,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic DP-8020 Ver. 2 PCL6
